# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class AttributeHelper.LowerCaseEnumToAttributeValue<T extends java.lang.Enum<T>>

    java.lang.Object
      com.google.gdata.data.AttributeHelper.LowerCaseEnumToAttributeValue<T>

All Implemented Interfaces:
  AttributeHelper.EnumToAttributeValue<T>

Enclosing class:
  AttributeHelper

    public static class AttributeHelper.LowerCaseEnumToAttributeValue<T extends java.lang.Enum<T>>

extends java.lang.Object
implements AttributeHelper.EnumToAttributeValue<T>

Implements the most common custom mapping of an enum value to an attribute value using the lower-case form of the enum name.

Constructor Summary
`AttributeHelper.LowerCaseEnumToAttributeValue()`

Method Summary
`java.lang.String` `getAttributeValue(T enumValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeHelper.LowerCaseEnumToAttributeValue

    public AttributeHelper.LowerCaseEnumToAttributeValue()

Method Detail

### getAttributeValue

    public java.lang.String getAttributeValue(T enumValue)

  Specified by:
    `getAttributeValue` in interface `AttributeHelper.EnumToAttributeValue<T extends java.lang.Enum<T>>`